Available in Classic and VPC
Get encyclopedia search results from NAVER Search.
Encyclopedia searches use the Search API, which has a daily call limit of 25,000.
Request
This section describes the request format. The method and URI are as follows:
| Method | URI |
|---|---|
| GET | /search/v1/encyc |
Request headers
For information about the headers common to NAVER API HUB, see NAVER API HUB request headers.
Request query parameters
You can use the following query parameters with your request:
| Field | Type | Required | Description |
|---|---|---|---|
query |
String | Required | Search keyword
|
display |
Integer | Optional | Number of search results to display at a time
|
start |
Integer | Optional | Search start location
|
format |
String | Optional | Response format
|
Request example
The request example is as follows:
curl --location --request GET https://naverapihub.apigw.ntruss.com/search/v1/encyc?query=Coffee&display=2&start=1&format=json
--header X-NCP-APIGW-API-KEY-ID: {Client ID}
--header X-NCP-APIGW-API-KEY: {Client Secret}
Response
This section describes the response format.
Response body
The response body includes the following data:
| Field | Type | Required | Description |
|---|---|---|---|
lastBuildDate |
String | - | Time the search results were generated |
total |
Integer | - | Total number of search results |
start |
Integer | - | Starting location for the search |
display |
Integer | - | Number of search results to display at a time |
items |
Array | - | List of individual search results: items |
items
The following describes items.
| Field | Type | Required | Description |
|---|---|---|---|
title |
String | - | Encyclopedia entry
|
link |
String | - | URL for the encyclopedia entry description |
description |
String | - | Passage information summarizing the content of an encyclopedia entry
|
thumbnail |
String | - | Thumbnail image URL |
Response status codes
The following describes the response status codes.
| HTTP status code | Code | Message | Description |
|---|---|---|---|
| 400 | SE01 |
Incorrect query request | Check for errors in the API request URL, such as the protocol or parameters. |
| 400 | SE02 |
Invalid display value. | Check that the display value is within the allowed range. |
| 400 | SE03 |
Invalid start value | Check that the start value is within the allowed range. |
| 400 | SE04 |
Invalid sort value | Check the sort value for typos. |
| 400 | SE06 |
Malformed encoding | Encode the search keyword in UTF-8. |
| 404 | SE05 |
Invalid search API | Check the API request URL for typos. |
| 500 | SE99 |
System error | An error occurred internally on the server. |
For information about the HTTP status codes common to all NAVER API HUB, see NAVER API HUB response status codes.
Response example
The response example is as follows:
{
"lastBuildDate": "Thu, 11 Jun 2026 18:43:27 +0900",
"total": 8101,
"start": 1,
"display": 2,
"items": [
{
"title": "<b>Coffee</b>",
"link": "https://terms.naver.com/entry.naver?docId=1596581&cid=50346&categoryId=50346",
"description": "<b>Coffee</b>Nutrition Dictionary A beverage made by roasting and grinding <b>coffee</b> beans and extracting their unique color and flavor with hot water. When the extracted liquid is spray-dried or freeze-dried into a powder, it becomes instant <b>coffee</b>. The stimulating effects of caffeine ",
"thumbnail": ""
},
{
"title": "<b>Coffee</b>",
"link": "https://terms.naver.com/entry.naver?docId=3572338&cid=58988&categoryId=58988",
"description": "Since the 2000s, <b>coffee</b> has become such a popular beverage that a cup of <b>coffee</b> has become an indispensable part of any gathering. Interest in <b>coffee</b> has grown to the point where there are now over 2000 franchise <b>coffee</b> shops. ",
"thumbnail": "http://openapi-dbscthumb.phinf.naver.net/4749_000_5/20170316145457666_J4BH4NW44.jpg/02_0.jpg?type=m160_160"
}
]
}